| DocBook: The Definitive Guide 2.0.17 (Alpha)

# othercredit

$Revision$

$Date$

othercredit — A person or entity, other than an author or editor, credited in a document

## Synopsis

### Content Model

    othercredit ::=
    ((personname|
      (honorific|firstname|surname|lineage|othername|affiliation|
       authorblurb|contrib)+),
     (personblurb|email|address)*)

### Attributes

Common attributes

Name | Type | Default

class

Enumeration:
copyeditor
graphicdesigner
other
productioneditor
technicaleditor
translator

None

## Description

DocBook allows you to directly identify `Author`s and `Editor`s. `OtherCredit` provides a mechanism for identifying other individuals, for example, contributors or production editors, in a similar context.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. Sometimes suppressed.

### Future Changes

`AuthorBlurb` and `Affiliation` will be removed from the inline content of `OtherCredit` in DocBook V4.0. A new wrapper element will be created to hold `OtherCredit`, `AuthorBlurb`, and `Affiliation`.

### Parents

These elements contain othercredit: `appendixinfo`, `application`, `articleinfo`, `attribution`, `authorgroup`, `biblioentry`, `bibliographyinfo`, `bibliomisc`, `bibliomixed`, `bibliomset`, `biblioset`, `blockinfo`, `bookinfo`, `bridgehead`, `chapterinfo`, `citation`, `citetitle`, `emphasis`, `entry`, `firstterm`, `foreignphrase`, `glossaryinfo`, `glosssee`, `glossseealso`, `glossterm`, `indexinfo`, `lineannotation`, `link`, `literallayout`, `lotentry`, `member`, `msgaud`, `objectinfo`, `olink`, `para`, `partinfo`, `phrase`, `prefaceinfo`, `primary`, `primaryie`, `productname`, `programlisting`, `quote`, `refentryinfo`, `refentrytitle`, `referenceinfo`, `refpurpose`, `refsect1info`, `refsect2info`, `refsect3info`, `refsectioninfo`, `refsynopsisdivinfo`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `sect1info`, `sect2info`, `sect3info`, `sect4info`, `sect5info`, `sectioninfo`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `setindexinfo`, `setinfo`, `sidebarinfo`, `simpara`, `subtitle`, `synopsis`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `ulink`.

### Children

The following elements occur in othercredit: `address`, `affiliation`, `authorblurb`, `contrib`, `email`, `firstname`, `honorific`, `lineage`, `othername`, `personblurb`, `personname`, `surname`.

## See Also

`author`, `authorblurb`, `authorgroup`, `collab`, `collabname`, `contrib`, `corpauthor`, `editor`, `personblurb`, `personname`.

## Examples

    <!DOCTYPE articleinfo PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <articleinfo>
      <title>Something Snappy</title>
      <author>
        <firstname>Norman</firstname>
        <surname>Walsh</surname>
      </author>
      <othercredit>
        <firstname>John</firstname>
        <surname>Doe</surname>
        <contrib>Extensive review and rough drafts of Section 1.3, 1.4, and 1.5
          </contrib>
      </othercredit>
      <pubsnumber>5</pubsnumber>
    </articleinfo>

otheraddr |  | othername

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.